Error connecting to python process

Marius
2012-01-13
2013-03-15
  • Marius
    Marius
    2012-01-13

    Hello there,

    I got a problem with the Codecompletion. It freezes for some time and after that I get sometimes (not after every try) the following error:

    Error connecting to python process (Name:C:\Python32\python.
    exe:EndName:Version3.2Executable:C:\Python32\python.exe|D:
    \eclipse\configuration\org.eclipse.
    osgi\bundles\356\1\.cp\PySrc|C:\Windows\system32\python32.
    zip|C:\Python32\DLLs|C:\Python32\lib|C:\Python32|C:
    \Python32\lib\site-
    packages@$|Image|OpenGL|__main__|_ast|_bisect|_bytesio|_codec
    s|_codecs_cn|_codecs_hk|_codecs_iso2022|_codecs_jp|_codecs_kr|_
    codecs_tw|_collections|_csv|_datetime|_fileio|_functools|_heapq|_h
    otshot|_io|_json|_locale|_lsprof|_md5|_multibytecodec|_pickle|_ran
    dom|_sha|_sha1|_sha256|_sha512|_sre|_string|_struct|_subprocess|_s
    ymtable|_thread|_warnings|_weakref|_winreg|array|atexit|audioop|
    binascii|builtins|cPickle|cStringIO|cmath|datetime|email|errno|exce
    ptions|future_builtins|gc|hashlib|imageop|imp|itertools|marshal|m
    ath|mmap|msvcrt|nt|numpy|operator|os|os.
    path|parser|pytest|scipy|signal|socket|strop|sys|thread|time|winreg|
    wx|wxPython|xxsubtype|zipimport|zlib "D:
    \eclipse\configuration\org.eclipse.
    osgi\bundles\356\1\.cp\PySrc\pycompletionserver.py" 51507
    51506)  - the process in NOT ALIVE anymore (output=1) -  the
    output of the process is: Std output:

    Err output:
    Traceback (most recent call last):
      File "D:\eclipse\configuration\org.eclipse.
       osgi\bundles\356\1\.cp\PySrc\pycompletionserver.py", line 21, in
       <module>
        from java.lang import Thread
    ImportError: No module named java.lang

    During handling of the above exception, another exception
    occurred:

    Traceback (most recent call last):
      File "D:\eclipse\configuration\org.eclipse.
       osgi\bundles\356\1\.cp\PySrc\pycompletionserver.py", line 32, in
       <module>
        import importsTipper
    ImportError: No module named importsTipper

    I've read here the solution with switching off the firewalls. That actually didn't work for me.
    Without the Win-firewall and disabled AntiVir the same error occurs.

    Does anybody have a other solution?

    Cheers,
    Marius

     

  • Anonymous
    2012-02-08

    I also encountered a similar problem trying to get autocompletion going in PyDev 2.4.0 + Jython 2.5.2. My error was:

    java.lang.RuntimeException: Error connecting to python process ( C:\NotBackedUp\dev\apps\development_tools\jdk1.6.0_23\bin\javaw.exe ....\pycompletionserver.py 54525 54524)  - the process in still alive (killing it now)-  the output of the process is: Std output:
    

    Upon investigating it, I discovered that the spawn Jython interpretter process was taking too long to run the pycompletionserver.py script so the PyDev process was assuming it had stopped responding and was killing it before it could start.

    I traced the root cause of the slow Jython startup to this issue discussed here http://geek.starbean.net/?p=347. Basically the JVM (java1.6.0_23) was hanging while trying to create a temporary file because the SecureRandom number generator used for generating temp file names relies on a SeedGenerator class which builds a system entropy from the files in my computer's temp directory (amongst other things). My temp directory (pointed to by java.io.tmpdir) had 16,000+ files, and generating a fully directory was taking more than a minute.

    Anyhow, jumping to the obvious solution, I just cleaned out my temp directory and Jython's startup time improved significantly and that allowed the pycompletionserer.py script to startup within a period of time acceptable to the PyDev plugin. Hope this helps someone.